<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau: Référence de la classe Socket</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-static-methods">Fonctions membres publiques statiques</a> &#124;
<a href="class_socket-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Socket</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="socket_8hpp_source.html">socket.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a8ab13c721526158ffa781fcc10bf9c83"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_socket.html#a8ab13c721526158ffa781fcc10bf9c83">Socket</a> (struct <a class="el" href="structglobal__data.html">global_data</a> *g_data, <a class="el" href="class_parsage.html">Parsage</a> *parseur)</td></tr>
<tr class="memdesc:a8ab13c721526158ffa781fcc10bf9c83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur de l'objet <a class="el" href="class_socket.html">Socket</a>.  <a href="#a8ab13c721526158ffa781fcc10bf9c83">Plus de détails...</a><br /></td></tr>
<tr class="separator:a8ab13c721526158ffa781fcc10bf9c83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad55073e6cf9e64bd24a4b3f2add476bd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_socket.html#ad55073e6cf9e64bd24a4b3f2add476bd">Socket</a> (const <a class="el" href="class_socket.html">Socket</a> &amp;socket)</td></tr>
<tr class="memdesc:ad55073e6cf9e64bd24a4b3f2add476bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur par copie de l'objet <a class="el" href="class_socket.html">Socket</a>.  <a href="#ad55073e6cf9e64bd24a4b3f2add476bd">Plus de détails...</a><br /></td></tr>
<tr class="separator:ad55073e6cf9e64bd24a4b3f2add476bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeac4eb6379a543d38ed88977d3b6630a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_socket.html#aeac4eb6379a543d38ed88977d3b6630a">~Socket</a> ()</td></tr>
<tr class="memdesc:aeac4eb6379a543d38ed88977d3b6630a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructeur de l'objet <a class="el" href="class_socket.html">Socket</a>.  <a href="#aeac4eb6379a543d38ed88977d3b6630a">Plus de détails...</a><br /></td></tr>
<tr class="separator:aeac4eb6379a543d38ed88977d3b6630a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c3e3fdba40eb732b30869e131159863"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_socket.html#a5c3e3fdba40eb732b30869e131159863">InitSocket</a> ()</td></tr>
<tr class="memdesc:a5c3e3fdba40eb732b30869e131159863"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise la socket.  <a href="#a5c3e3fdba40eb732b30869e131159863">Plus de détails...</a><br /></td></tr>
<tr class="separator:a5c3e3fdba40eb732b30869e131159863"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a025a7c09b388b0ab0a17b2dc7a314a3a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_socket.html#a025a7c09b388b0ab0a17b2dc7a314a3a">Start</a> ()</td></tr>
<tr class="memdesc:a025a7c09b388b0ab0a17b2dc7a314a3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Démarre l'écoute sur le réseau.  <a href="#a025a7c09b388b0ab0a17b2dc7a314a3a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a025a7c09b388b0ab0a17b2dc7a314a3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d0a5267d11fc4e8cf866d6754273d1d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_socket.html#a0d0a5267d11fc4e8cf866d6754273d1d">Stop</a> ()</td></tr>
<tr class="memdesc:a0d0a5267d11fc4e8cf866d6754273d1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Arrête l'écoute sur le réseau.  <a href="#a0d0a5267d11fc4e8cf866d6754273d1d">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0d0a5267d11fc4e8cf866d6754273d1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad517cb205cbfdb01485df1f94377ca28"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_socket.html#ad517cb205cbfdb01485df1f94377ca28">Run</a> ()</td></tr>
<tr class="memdesc:ad517cb205cbfdb01485df1f94377ca28"><td class="mdescLeft">&#160;</td><td class="mdescRight">Méthode d'écoute du réseau.  <a href="#ad517cb205cbfdb01485df1f94377ca28">Plus de détails...</a><br /></td></tr>
<tr class="separator:ad517cb205cbfdb01485df1f94377ca28"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Fonctions membres publiques statiques</h2></td></tr>
<tr class="memitem:ac3443e00f2d6c665610ff64aea05c028"><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_socket.html#ac3443e00f2d6c665610ff64aea05c028">Thread</a> (gpointer ptr)</td></tr>
<tr class="memdesc:ac3443e00f2d6c665610ff64aea05c028"><td class="mdescLeft">&#160;</td><td class="mdescRight">Thread principale de la socket.  <a href="#ac3443e00f2d6c665610ff64aea05c028">Plus de détails...</a><br /></td></tr>
<tr class="separator:ac3443e00f2d6c665610ff64aea05c028"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="socket_8hpp_source.html#l00057">57</a> du fichier <a class="el" href="socket_8hpp_source.html">socket.hpp</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a8ab13c721526158ffa781fcc10bf9c83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ab13c721526158ffa781fcc10bf9c83">&#9670;&nbsp;</a></span>Socket() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Socket::Socket </td>
          <td>(</td>
          <td class="paramtype">struct <a class="el" href="structglobal__data.html">global_data</a> *&#160;</td>
          <td class="paramname"><em>g_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_parsage.html">Parsage</a> *&#160;</td>
          <td class="paramname"><em>parseur</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructeur de l'objet <a class="el" href="class_socket.html">Socket</a>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">g_data</td><td><a class="el" href="struct_structure.html">Structure</a> <a class="el" href="structglobal__data.html">global_data</a> stockant les informations nécessaires à la construction de l'objet. </td></tr>
    <tr><td class="paramname">parseur</td><td>Objet <a class="el" href="class_parsage.html">Parsage</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad55073e6cf9e64bd24a4b3f2add476bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad55073e6cf9e64bd24a4b3f2add476bd">&#9670;&nbsp;</a></span>Socket() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Socket::Socket </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_socket.html">Socket</a> &amp;&#160;</td>
          <td class="paramname"><em>socket</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructeur par copie de l'objet <a class="el" href="class_socket.html">Socket</a>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">socket</td><td>Objet de type <a class="el" href="class_socket.html">Socket</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aeac4eb6379a543d38ed88977d3b6630a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeac4eb6379a543d38ed88977d3b6630a">&#9670;&nbsp;</a></span>~Socket()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Socket::~Socket </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructeur de l'objet <a class="el" href="class_socket.html">Socket</a>. </p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a5c3e3fdba40eb732b30869e131159863"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c3e3fdba40eb732b30869e131159863">&#9670;&nbsp;</a></span>InitSocket()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Socket::InitSocket </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialise la socket. </p>

</div>
</div>
<a id="ad517cb205cbfdb01485df1f94377ca28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad517cb205cbfdb01485df1f94377ca28">&#9670;&nbsp;</a></span>Run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Socket::Run </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Méthode d'écoute du réseau. </p>
<p>Réceptionne une ou plusieurs informations transmises via le réseau et les tranmettent au parseur pour modifier le document svg. </p>

</div>
</div>
<a id="a025a7c09b388b0ab0a17b2dc7a314a3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a025a7c09b388b0ab0a17b2dc7a314a3a">&#9670;&nbsp;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Socket::Start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Démarre l'écoute sur le réseau. </p>

</div>
</div>
<a id="a0d0a5267d11fc4e8cf866d6754273d1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d0a5267d11fc4e8cf866d6754273d1d">&#9670;&nbsp;</a></span>Stop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Socket::Stop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Arrête l'écoute sur le réseau. </p>

</div>
</div>
<a id="ac3443e00f2d6c665610ff64aea05c028"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3443e00f2d6c665610ff64aea05c028">&#9670;&nbsp;</a></span>Thread()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void * Socket::Thread </td>
          <td>(</td>
          <td class="paramtype">gpointer&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Thread principale de la socket. </p>
<p>Le thread est utilisé pour appeler la méthode <a class="el" href="class_socket.html#ad517cb205cbfdb01485df1f94377ca28" title="Méthode d&#39;écoute du réseau. ">Run()</a>.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>La socket courante casté en (void*). </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>NULL </dd></dl>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>include/class/<a class="el" href="socket_8hpp_source.html">socket.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
